> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# Synchronous text-to-speech synthesis

POST https://f.cluster.resemble.ai/synthesize
Content-Type: application/json

Generate speech synchronously from text or SSML. Returns complete audio as base64. The model associated with the voice is selected automatically.

Reference: https://docs.resemble.ai/api-reference/text-to-speech/synthesize

## Authentication

- `Authorization` header (bearer token, required) — API token from https://app.resemble.ai/account/api

## Request

### Body (application/json)

- `voice_uuid` (string, required) — Voice UUID to use for synthesis
- `data` (string, required) — Text or SSML to synthesize (max 3,000 characters)
- `project_uuid` (string, optional) — Optional project UUID to store the clip
- `title` (string, optional) — Optional title for the generated clip
- `precision` (enum, optional, default: PCM_32) — Audio precision for WAV output
  - Allowed values: `MULAW`, `PCM_16`, `PCM_24`, `PCM_32`
- `output_format` (enum, optional, default: wav) — Audio output format
  - Allowed values: `wav`, `mp3`
- `sample_rate` (enum, optional) — Audio sample rate in Hz
  - Allowed values: `8000`, `16000`, `22050`, `32000`, `44100`, `48000`
- `use_hd` (boolean, optional, default: false) — Enable HD synthesis with small latency trade-off
- `apply_custom_pronunciations` (boolean, optional, default: false) — When true, automatically applies your team's custom pronunciations to matching words in the input text. Defaults to false.

## Response

### 200

Successful synthesis

- `success` (boolean, optional)
- `audio_content` (string, optional) — Base64-encoded audio bytes
- `audio_timestamps` (object, optional)
  - `graph_chars` (list of string, optional) — Grapheme characters
  - `graph_times` (list of list of double, optional) — Grapheme timestamps [start, end] in seconds
  - `phon_chars` (list of string, optional) — Phoneme characters
  - `phon_times` (list of list of double, optional) — Phoneme timestamps [start, end] in seconds
- `duration` (double, optional) — Audio duration in seconds
- `synth_duration` (double, optional) — Raw synthesis time
- `output_format` (string, optional)
- `sample_rate` (integer, optional)
- `title` (string, optional)
- `issues` (list of string, optional)

## Examples

**Request**

```json
{
  "voice_uuid": "55592656",
  "data": "Hello from Resemble!"
}
```

**Response**

```json
{
  "success": true,
  "audio_content": "string",
  "audio_timestamps": {
    "graph_chars": [
      "string"
    ],
    "graph_times": [
      [
        1.1
      ]
    ],
    "phon_chars": [
      "string"
    ],
    "phon_times": [
      [
        1.1
      ]
    ]
  },
  "duration": 1.1,
  "synth_duration": 1.1,
  "output_format": "wav",
  "sample_rate": 48000,
  "title": "string",
  "issues": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://f.cluster.resemble.ai/synthesize"

payload = {
    "voice_uuid": "55592656",
    "data": "Hello from Resemble!"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://f.cluster.resemble.ai/synthesize';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"voice_uuid":"55592656","data":"Hello from Resemble!"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://f.cluster.resemble.ai/synthesize"

	payload := strings.NewReader("{\n  \"voice_uuid\": \"55592656\",\n  \"data\": \"Hello from Resemble!\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://f.cluster.resemble.ai/synthesize")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"voice_uuid\": \"55592656\",\n  \"data\": \"Hello from Resemble!\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://f.cluster.resemble.ai/synthesize")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"voice_uuid\": \"55592656\",\n  \"data\": \"Hello from Resemble!\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://f.cluster.resemble.ai/synthesize', [
  'body' => '{
  "voice_uuid": "55592656",
  "data": "Hello from Resemble!"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://f.cluster.resemble.ai/synthesize");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"voice_uuid\": \"55592656\",\n  \"data\": \"Hello from Resemble!\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "voice_uuid": "55592656",
  "data": "Hello from Resemble!"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://f.cluster.resemble.ai/synthesize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```